/* Bug.java */


package kb7.general;

import java.io.PrintWriter;
import java.io.StringWriter;


/** 
 * This class subclasses Error to create exceptions which can be thrown if a 
 * bug is detected. Since they are subclasses of Error, Java will not require
 * them to be declared in a 'throws' clause.
 */
public class Bug extends Error
{
  public Bug( String message )
  {
    super( message );
  }

  public Bug()
  {
  }  

  public static final Bug Bug( String message, Throwable t )
  {
    StringWriter sw = new StringWriter();
    PrintWriter pw = new PrintWriter( sw );
    t.printStackTrace( pw );    
    String s = sw.toString();
    return new Bug( message + s );    
  }
}
