/* Comparable.java */


package kb7.structures;


/**
 * This interface is for use with Sort. Objects to be sorted should
 * implement its compareTo method.
 * <P>
 * Some care is needed here. Java 1.2 apparently has its own
 * Comparable interface. So if you forget to import kb7.structures.Comparable,
 * you may end up referring to the Java 1.2 one (if running under
 * Java 1.2), and getting class cast errors. 
 */
public interface Comparable
{
  public int compareTo( Comparable arg );
}
