/* DebugStream.java */


/**
This class is used by Debug. It implements a stream whose
printing can be turned off.
*/


package kb7.general;
import java.io.*;


/*
The only way to do this, according to
http://www.andromeda.com/people/ddyer/java/doc/dlib.Deferred_PrintStream.html
is to override all methods concerned with printing. Nasty.
*/


public class DebugStream extends PrintStream
{
  private boolean printing = true;


  public DebugStream( PrintStream out )
  {
    super( out );
  }


  public void print( boolean b )
  {
    if ( this.printing )
      super.print( b );
  }

  public void print( char c )
  {
    if ( this.printing )
      super.print( c );
  }

  public void print( char[] c )
  {
    if ( this.printing )
      super.print( c );
  }

  public void print( double d )
  {
    if ( this.printing )
      super.print( d );
  }

  public void print( float f )
  {
    if ( this.printing )
      super.print( f );
  }

  public void print( int i )
  {
    if ( this.printing )
      super.print( i );
  }

  public void print( long l )
  {
    if ( this.printing )
      super.print( l );
  }

  public void print( Object o )
  {
    if ( this.printing )
      super.print( o );
  }

  public void print( String s )
  {
    if ( this.printing )
      super.print( s );
  }


  public void println( boolean b )
  {
    if ( this.printing )
      super.println( b );
  }

  public void println( char c )
  {
    if ( this.printing )
      super.println( c );
  }

  public void println( char[] c )
  {
    if ( this.printing )
      super.println( c );
  }

  public void println( double d )
  {
    if ( this.printing )
      super.println( d );
  }

  public void println( float f )
  {
    if ( this.printing )
      super.println( f );
  }

  public void println( int i )
  {
    if ( this.printing )
      super.println( i );
  }

  public void println( long l )
  {
    if ( this.printing )
      super.println( l );
  }

  public void println( Object o )
  {
    if ( this.printing )
      super.println( o );
  }

  public void println( String s )
  {
    if ( this.printing )
      super.println( s );
  }


  public void write( byte[] bytes, int off, int len )
  {
    if ( this.printing )
      super.write( bytes, off, len );
  }

  public void write( int b )
  {
    if ( this.printing )
      super.write( b );
  }


  public boolean getPrinting()
  {
    return this.printing;
  }

  public void setPrinting( boolean printing )
  {
    this.printing = printing;
  }
}
