/* Debug.java */


package kb7.general;
import java.io.PrintStream;


public class Debug
{
  private DebugStream out_;
  private boolean tracing = true;

  static Debug debug = null;


  /* The argument should be "true" or "false". This allows the
     tracing mode to be set easily from strings, passed for
     example as command line arguments.
  */
  private Debug( boolean on_or_off )
  {
    this.tracing = on_or_off;
    this.out_ = new DebugStream( System.out );
    this.out_.setPrinting( this.tracing );
  }


  public static void makeDebug()
  {
    debug = new Debug( false );
  }


  public static DebugStream out()
  {
    return debug.out_;
  }


  private void traceln_( String s )
  {
    if ( this.tracing )
      this.out_.println( s );
  }

  public static void traceln( String s )
  {
    debug.traceln_( s );
  }


  private void setTracing_( boolean on_or_off )
  {
    this.tracing = on_or_off;
    this.out_.setPrinting( on_or_off );
  }

  public static void setTracing( boolean on_or_off )
  {
    debug.setTracing_( on_or_off );
  }
}
