/* Cell.java */


package kb7.html;

import kb7.general.Bug;


/**
 * Used by Table.
 */
public final class Cell 
                   implements java.io.Serializable,
                              // In case we want to save to file.
                              Cloneable 
                              // for clone().
{
  protected String attributes = "";
  // HTML attributes for the cell.

  protected Object contents = "&nbsp;";
  // The cell's contents.

  protected String type = "TD";
  // td or th.


  public Cell()
  { }

  public Cell( Object contents )
  {
    this.contents = contents;
  }

  public Cell( String attributes, Object contents )
  {
    this.contents = contents;
    this.attributes = attributes;
  }


  public final void setContents( Object contents )
  {
    this.contents = contents;
  }

  protected final Object getContents()
  {
    return this.contents;
  }


  public final void setAttributes( String attributes )
  {
    this.attributes = attributes;
  }

  protected final String getAttributes()
  {
    return this.attributes;
  }


  public final void setTypeTd()
  {
    this.type = "TD";
  }

  public final void setTypeTh()
  {
    this.type = "TH";
  }


  /**
   * Not a deep copy.
   */
  public final Object clone()
  {
    Cell copy = new Cell(this.attributes,this.contents);
    copy.type = this.type;
    return copy;
  }


  public final String toCSV()
  {
    if ( this.contents.equals("&nbsp;") )
      return "";
    else
      return this.contents.toString();
  }


  public final String toString()
  {
    String result = "";
    result = "<" + this.type + " " + this.attributes.toString() + " >" + this.contents + "</" + this.type + ">";
    return result;
  }
}


