/* Annotation.java */


package kb7.lister;

import java.util.Vector;


/**
 * SourceError and its subclasses represent errors encountered while 
 * compiling a program. Similarly, SourceWarning represents
 * warnings, and so on.
 */
public abstract class Annotation 
{
  /**
   * Returns the annotation as a vector of strings. Each
   * element corresponds to a separate line, and these lines
   * will each be appropriately formatted (e.g. indented)
   * by Lister.list.
   */
  public abstract Vector toStrings();
}


abstract class SourceError extends Annotation
{
}


abstract class SourceNote extends Annotation
{
}


abstract class SourceWarning extends Annotation
{
}







