/* LexicalError.java */


package kb7.lister;

import java.util.Vector;


/** 
 * This class represents a tokenisation error, and encapsulates the
 * JavaCC TokenMgrError class. It depends on a modified version of
 * TokenMgrError which returns its error message as a vector of lines.
 * However, since JavaCC always expects this to be in the same
 * directory as the parser, which isn't this one, we use it via an
 * interface.
 */
public class LexicalError extends SourceError
{
  private TokenMgrError token_error; 


  public LexicalError( TokenMgrError token_error )
  {
    this.token_error = token_error;
  }


  public final Vector toStrings()
  {
    return this.token_error.getMessageVector();
  }
}

