/* SemanticError.java */


package kb7.lister;


import java.util.Vector;


/** 
 * This class represents a semantic error, one detected by some part
 * of the compiler other than JavaCC.
 */
public class SemanticError extends SourceError
{
  protected String message;
  // Constructors will set this to the error message.


  public SemanticError( String s )
  { this.message = s; }


  /** 
   * Overridden to work in terms of message.
   */
  public final Vector toStrings()
  {
    Vector v = new Vector();
    v.addElement( "Error: " + this.message );
    return v;
  }
}
