/* SourcePosition.java */


package kb7.lister;


/** 
 * This class represents the position of a token in the
 * source file.
 */
public class SourcePosition
{
  private int line, column;
  // Line and column numbers. Both are based at 1.


  public SourcePosition( int line, int column )
  {
    this.line = line;
    this.column = column;
  }


  public final int getLineNumber()
  { return this.line; }

  public final int getColumnNumber()
  { return this.column; }


  public final void setLine( int line )
  { this.line = line; }

  public final void setColumn( int column )
  { this.column = column; }


  public final String toString()
  {
    return this.line + "." + this.column;
  }
}
