/* SyntaxError.java */


package kb7.lister;

import java.util.Vector;


/** 
 * This class represents a syntax error, and encapsulates the
 * JavaCC ParseException class. It depends on a modified version of
 * ParseException which returns its error message as a vector of lines.
 * As described in LexicalError, we use it via an interface.
 */
public class SyntaxError extends SourceError
{
  private ParseException parse_exception; 


  public SyntaxError( ParseException parse_exception )
  {
    this.parse_exception = parse_exception;
  }


  public final Vector toStrings()
  {
    Vector v = this.parse_exception.getMessageVector();
    String line1 = (String)v.elementAt(0);
    v.setElementAt( "Error: " + line1, 0 );
    return v;
  }
}

