/* BoundVariableFailure.java */


package kb7.matcher;


/**
 * This class represents a failure in matching a bound variable. It
 * records the variable's name and the original failing match.
 */
public class BoundVariableFailure extends MatchFailure
{
  private String name;
  // The name of the variable.

  private ValueFailure failed;
  // The match against the variable's value that failed.


  public BoundVariableFailure( String name, ValueFailure f )
  { 
    this.name = name;
    this.failed = f; 
  }


  public final String getName()
  { return this.name; }

  public final ValueFailure getValueFailure()
  {
return this.failed; }


  public final String toDisplay()
  {
    return failed.toDisplay() + " at variable " + this.name;
  }

  public final String toString()
  {
    return "[BoundVariableFailure " + this.name + " " + this.failed + " ]";
  }  
}

