/* ConstraintFailure.java */

package kb7.matcher;

/**
 * This class represents a failure to match against a PatternConstraint.
 */
public class ConstraintFailure extends MatchFailure
{
  private PatternConstraint expected = null;
  // The constraint prescribed by a match.

  private Object found = null;
  // The object actually there.


  public ConstraintFailure()
  {
  }

  public ConstraintFailure( PatternConstraint expected, Object found )
  {
    this.expected = expected;
    this.found = found;
  }

  public String toDisplay()
  {
    return "Failed. Expected:" + this.expected + "; found: " + this.found;
  }

  public String toString()
  {
    return "[ConstraintFailure " + this.expected + " " + this.found + " ]";
  }  
}