/* ValueFailure.java */

package kb7.matcher;


/*
 * This class represents a failure to match against a PatternValue.
 */
public class ValueFailure extends ConstraintFailure
{
  private Object expected;
  // The object expected by a match.

  private Object found;
  // The object actually there.


  public ValueFailure( Object expected, Object found )
  {
    this.expected = expected;
    this.found = found;
  }


  public Object getFound()
  { return this.found; }

  public Object getExpected()
  { return this.expected; }


  public final String toDisplay()
  {
    return "Failed. Expected:" + this.expected + "; found: " + this.found;
  }

  public final String toString()
  {
    return "[ValueFailure " + this.expected + " " + this.found + " ]";
  }  
}

