/* PatternValueImp.java */

package kb7.matcher;


/**
 * This class represents a definite value to be tested against
 * an item.
 */
public class PatternValueImp implements PatternValue
{
  private Object value;
  // The value to be matched.

  public PatternValueImp( Object value )
  { this.value = value; }


  public final Object getValue()
  { return this.value; }


  public MatchState match( Object value, Substitutions s )
  {
    if ( this.value.equals(value) )
      return MatchState.MatchOK;
    else
      return new ValueFailure(this.value,value); 
  }


  public final String toDisplay()
  {
    return toString();
  }

  public final String toString()
  {
    return "[PatternValueImp " + this.value + " ]";
  }  
}
