/* BoundedRealComboField.java */


package kb7.swing;


/**
 * This class implements a real combo field with upper and
 * lower bounds on its values. It does this in the same way
 * that BoundedRealField does RealField.
 */  
public class BoundedRealComboField extends RealComboField  
{
  public static void main( String argv[] )
  {
    BoundedRealComboField brcf = 
      new BoundedRealComboField( "1.5", 
                             new MenuOptions().add( "One", "1" ).
                                               add( "Two", "2" ).
                                               add( "Three", "3" ).
                                               add( "pi", "3.1416" ).
                                               add( "Halve it", "*0.5" ). 
                                               add( "Double it", "*2" ).  
                                               add( "Triple it", "*3" ).
                                               add( "Add 1", "+1" ).
                                               add( "Add 2", "+2" )
                           );
    brcf.setColumns(5);
    brcf.setMin( 1.5 );
    brcf.setMax( 200.5 );
    brcf.setToolTipText( "Number between 1.5 and 200.5" );    

    javax.swing.JPanel p = new javax.swing.JPanel();
    p.add( brcf );

    javax.swing.JFrame f = new javax.swing.JFrame();
    f.addWindowListener( new kb7.swing.BasicWindowMonitor() );
    f.getContentPane().add( p );
    f.setSize( 400, 400 );
    f.pack();
    f.setVisible( true );
  }


  public BoundedRealComboField()
  {
    super();
    this.constraints = new RealRangeConstraint();
  }

  public BoundedRealComboField( MenuOptions options )
  {
    this();
    setOptions( options );
  }

  public BoundedRealComboField( String text )
  { 
    this();
    setTextValue( text ); 
  }

  public BoundedRealComboField( String text, MenuOptions options )
  {
    this( text );
    setOptions( options );
  }


  public final void setMin( double min )
  { ((RealRangeConstraint)this.constraints).setMin(min); }

  public final double getMin()
  { return ((RealRangeConstraint)this.constraints).getMin(); }  

  public final void setMax( double max )
  { ((RealRangeConstraint)this.constraints).setMax(max); }

  public final double getMax()
  { return ((RealRangeConstraint)this.constraints).getMax(); }
}

