/* FieldConstraint.java */


package kb7.swing;

import kb7.structures.Pair;


/**
 * This class represents a constraint on
 * the value that can be entered into a field.
 * It defines a public method 'check' which is
 * called by CheckingField once the user
 * has pressed ENTER and the field has 
 * verified that the text is syntactically
 * valid. This either returns null, or a 
 * pair < error message, replacement text >,
 * where the replacement text is a valid value to
 * be used in place of the original. 'check'
 * also gets a boolean is_lenient. This should
 * only be used in constructing the error messages.
 */
public abstract class FieldConstraint
{
  public abstract Pair check( String s, boolean is_lenient );
}


