/* FixedSizePanel.java */


package kb7.swing;

import java.awt.Dimension;
import javax.swing.JPanel;


/**
 * This class extends JPanel to one whose size can
 * be fixed via its constructor. The only public
 * constructor takes a Dimension, and sets the panel's
 * minimum, preferred, and maximum sizes to that.
 */
public class FixedSizePanel extends JPanel
{
  public FixedSizePanel( int x, int y )
  { 
    this( new Dimension(x,y) );
  } 

  public FixedSizePanel( Dimension size )
  { 
    super();
    setMinimumSize( size );
    setPreferredSize( size );
    setMaximumSize( size );
  }
}


