/* BoundedIntegerComboField.java */


package kb7.swing;


/**
 * This class implements an integer combo field with upper and
 * lower bounds on its values. It does this in the same way
 * that BoundedIntegerField does IntegerField.
 */  
public class BoundedIntegerComboField extends IntegerComboField  
{
  public static void main( String argv[] )
  {
    BoundedIntegerComboField bicf = 
      new BoundedIntegerComboField( "1", 
                             new MenuOptions().add( "One", "1" ).
                                               add( "Two", "2" ).
                                               add( "Three", "3" ).
                                               add( "Double it", "*2" ).  
                                               add( "Triple it", "*3" ).
                                               add( "Add 1", "+1" ).
                                               add( "Add 2", "+2" )
                           );
    bicf.setColumns(5);
    bicf.setMin( 1 );
    bicf.setMax( 200 );
    bicf.setToolTipText( "Number between 1 and 200" );    

    javax.swing.JPanel p = new javax.swing.JPanel();
    p.add( bicf );

    javax.swing.JFrame f = new javax.swing.JFrame();
    f.addWindowListener( new kb7.swing.BasicWindowMonitor() );
    f.getContentPane().add( p );
    f.setSize( 400, 400 );
    f.pack();
    f.setVisible( true );
  }


  public BoundedIntegerComboField()
  {
    super();
    this.constraints = new IntegerRangeConstraint();
  }

  public BoundedIntegerComboField( MenuOptions options )
  {
    this();
    setOptions( options );
  }

  public BoundedIntegerComboField( String text )
  { 
    this();
    setTextValue( text ); 
  }

  public BoundedIntegerComboField( String text, MenuOptions options )
  {
    this( text );
    setOptions( options );
  }


  public final void setMin( int min )
  { ((IntegerRangeConstraint)this.constraints).setMin(min); }

  public final int getMin()
  { return ((IntegerRangeConstraint)this.constraints).getMin(); }  

  public final void setMax( int max )
  { ((IntegerRangeConstraint)this.constraints).setMax(max); }

  public final int getMax()
  { return ((IntegerRangeConstraint)this.constraints).getMax(); }
}

