/* FixedPointComboField.java */


package kb7.swing;


/**
 * This class implements a fixed-point combo field. It stands in the 
 * same relation to FixedPointField as IntegerComboField does to 
 * IntegerField.
 */  
public class FixedPointComboField extends FixedPointField  
{
  private ComboFieldDelegate delegate;


  public static void main( String argv[] )
  {
    FixedPointComboField fpcf = 
      new FixedPointComboField( "0.0", 
                          new MenuOptions().add( "One", "1" ).
                                            add( "One and a half", "1.5" ).
                                            add( "Two", "2" ).
                                            add( "Three", "3" ).
                                            add( "Halve it", "*0.5" ).
                                            add( "Double it", "*2" ).  
                                            add( "Triple it", "*3" ).
                                            add( "Add 1", "+1" ).
                                            add( "Add 2", "+2" )
                           );
    fpcf.setColumns(5);
    fpcf.setAfter(2);
    
    javax.swing.JPanel p = new javax.swing.JPanel();
    p.add( fpcf );

    javax.swing.JFrame f = new javax.swing.JFrame();
    f.addWindowListener( new kb7.swing.BasicWindowMonitor() );
    f.getContentPane().add( p );
    f.setSize( 200, 200 );
    f.pack();
    f.setVisible( true );
  }


  public FixedPointComboField()
  {
    super();
    this.delegate = new ComboFieldDelegate( this, ComboFieldOperation.REAL );
  }

  public FixedPointComboField( MenuOptions options )
  {
    this();
    setOptions( options );
  }

  public FixedPointComboField( String text )
  { 
    this();
    setTextValue( text ); 
  }

  public FixedPointComboField( String text, MenuOptions options )
  {
    this( text );
    setOptions( options );
  }


  public final void setOptions( MenuOptions options )
  {
    this.delegate.setOptions( options );
  }
}

