/* IntegerFieldFormat.java */


package kb7.swing;

import java.awt.Toolkit;
import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.PlainDocument; 
import kb7.strings.Strings;


public final class IntegerFieldFormat extends FieldFormat
{
  private Toolkit toolkit;
 

  public IntegerFieldFormat()
  {
    this.toolkit = Toolkit.getDefaultToolkit();
    this.document = new IntegerDocument();
  }


  public String checkText( String text )
  {
    if ( text.equals("") )
      return "Invalid integer: empty string.";
    else
      return null;
  }


  public String standardiseText( String text )
  {
    return text;
  }


  private final class IntegerDocument extends PlainDocument 
  {
    public void insertString( int offs, String str, AttributeSet a ) 
                throws BadLocationException 
    {
      char[] source = str.toCharArray();
      char[] result = new char[source.length];
      int j = 0;

      for (int i = 0; i < result.length; i++) {
        if (Character.isDigit(source[i]))
          result[j++] = source[i];
        else {
;//          toolkit.beep();
        }
      }
      super.insertString(offs, new String(result, 0, j), a);
    }
  }
}

