/* PreProcessPageFile.java */


package kb7.wsm;


public class PreProcessPageFile
{
  public static void main( String[] argv )
  {
    System.out.println( preProcessPageFile("") );
    System.out.println( preProcessPageFile("(output x) ]<html>[ status ]</html>[") );
    System.out.println( preProcessPageFile("(output x) ]<html>[ status ]</html>") );
  }


  /**
   * Returns the string with ]...[ sequences replaced by "...", where
   * any " in each sequence have been replaced by \".
   * The final [ can be omitted.
   */
  public final static String preProcessPageFile( String contents )
  {
    StringBuffer sb = new StringBuffer();
    while ( true ) {
      int open_pos = contents.indexOf( "]" );
      if ( open_pos == -1 ) {
        sb.append( contents );
        return sb.toString();
      }
      else {
        sb.append( contents.substring(0,open_pos) );
        int close_pos = contents.indexOf( "[", open_pos );
        String insert;
        if ( close_pos == -1 ) 
          insert = contents.substring( open_pos+1 );
        else
          insert = contents.substring( open_pos+1, close_pos );
        sb.append( "\"" + replaceQuotes(insert) + "\"" );
        if ( close_pos == -1 )
          return sb.toString();
        contents = contents.substring( close_pos+1 );
      }
    }
  }


  public final static String replaceQuotes( String insert ) 
  {
    StringBuffer sb = new StringBuffer();
    while ( true ) {
      int pos = insert.indexOf( "\"" );
      if ( pos == -1 ) {
        sb.append( insert );
        return sb.toString();
      }
      sb.append( insert.substring(0,pos) );
      sb.append( "\\" );
      sb.append( "\"" );
      insert = insert.substring( pos+1 );
    }    
  }
}
