(module-name 'StandardFunctions)

(module-static #t)

(require <kb7.wsm.Log>)



; Places a URL which encodes action.
;
(define (wsm-action (action <symbol>)) <string>

(wsm-log "Entered wsm-action, action = " action)

  (let ( (url <string> (string-append action ".action"))
       )
    (if wsm-session?
      (string-append (invoke (eval 'wsm-response) 'encodeUrl (invoke
url 'toString)))
      ; If we use a straight reference to wsm-response,
      ; it isn't found from the environment in which Control.scm
      ; binds it.
    ;else
      url
    )
  )
)


; Gets the value of the HTTP input parameter named 'name' 
; from input-map. Names are <symbol>s, values are returned
; as <string>s. "" if no value.
;
(define (wsm-get-input (input-map <java.util.Hashtable>)
                       (name <symbol>)) <string>
(wsm-log "Entered wsm-get-input, name=" name)
  (let ( (value <java.lang.String> (invoke input-map 'get name))
       ) 
    (if (eq? value #!null)
      ""
    ;else
      (string-append value)
    )
  )
)


; Gets the value of the HTTP input parameter named 'name' 
; from input-map, when sent as a file upload. Names are <symbol>s, 
; values are returned as hashtables. Null if no value.
;
(define (wsm-get-input-file (input-map <java.util.Hashtable>)
                            (name <symbol>)) <java.util.Hashtable>
  (invoke input-map 'get name)
)


; Gets the input parameters that start with prefix from input-map,
; and returns a new map mapping their names (without prefix) as
; <symbol>s to their values, as <string>s.
;
(define (wsm-get-inputs (input-map <java.util.Hashtable>)
                        (prefix <symbol>)) <java.util.Hashtable>
  (invoke-static <kb7.wsm.Utilities> 'getInputs input-map prefix)
)


; Returns information about the next page and state.
;
(define (wsm-make-stateful-page-call (page <string>)
                                     state
                                     #!rest args) <list> 
  (list page state args)
)




